ReferenceItem lists
Sub groups
GET
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
application/json- response
[index: integer]?curl -X GET 'https://<your-instance>/api/item-lists/sub-groups' \ -H 'Authorization: Bearer <access-token>'[ { "baseVatRateId": 0, "coefficient1": 0, "coefficient10": 0, "coefficient11": 0, "coefficient12": 0, "coefficient13": 0, "coefficient14": 0, "coefficient15": 0, "coefficient2": 0, "coefficient3": 0, "coefficient4": 0, "coefficient5": 0, "coefficient6": 0, "coefficient7": 0, "coefficient8": 0, "coefficient9": 0, "createdAt": "2019-08-24T14:15:22Z", "description": "string", "groupId": 0, "hideOnTouchScreen": true, "id": 0, "lastModify": "2019-08-24T14:15:22Z", "posCreditPaymentForbidden": true, "recyclingFeeId": 0, "subGroupCode": "string", "subGroupName": "string", "subGroupNameForEshop": "string", "userId": 0 }]POST
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
application/json- body
baseVatRateId?|Format
int32coefficient1?|Format
decimalcoefficient10?|Format
decimalcoefficient11?|Format
decimalcoefficient12?|Format
decimalcoefficient13?|Format
decimalcoefficient14?|Format
decimalcoefficient15?|Format
decimalcoefficient2?|Format
decimalcoefficient3?|Format
decimalcoefficient4?|Format
decimalcoefficient5?|Format
decimalcoefficient6?|Format
decimalcoefficient7?|Format
decimalcoefficient8?|Format
decimalcoefficient9?|Format
decimalcreatedAt?|Format
date-timedescription?|Length
length <= 40groupId?|Format
int32hideOnTouchScreen?boolean|nullid?|Format
int32lastModify?|Format
date-timeposCreditPaymentForbidden?boolean|nullrecyclingFeeId?|Format
int32subGroupCode?|Length
length <= 10subGroupName?|Length
length <= 80subGroupNameForEshop?|Length
length <= 120userId?|Format
int32application/json- response
baseVatRateId?|Format
int32coefficient1?|Format
decimalcoefficient10?|Format
decimalcoefficient11?|Format
decimalcoefficient12?|Format
decimalcoefficient13?|Format
decimalcoefficient14?|Format
decimalcoefficient15?|Format
decimalcoefficient2?|Format
decimalcoefficient3?|Format
decimalcoefficient4?|Format
decimalcoefficient5?|Format
decimalcoefficient6?|Format
decimalcoefficient7?|Format
decimalcoefficient8?|Format
decimalcoefficient9?|Format
decimalcreatedAt?|Format
date-timedescription?|Length
length <= 40groupId?|Format
int32hideOnTouchScreen?boolean|nullid?|Format
int32lastModify?|Format
date-timeposCreditPaymentForbidden?boolean|nullrecyclingFeeId?|Format
int32subGroupCode?|Length
length <= 10subGroupName?|Length
length <= 80subGroupNameForEshop?|Length
length <= 120userId?|Format
int32curl -X POST 'https://<your-instance>/api/item-lists/sub-groups' \ -H 'Authorization: Bearer <access-token>' \ -H 'Content-Type: application/json' \ -d '{}'{ "baseVatRateId": 0, "coefficient1": 0, "coefficient10": 0, "coefficient11": 0, "coefficient12": 0, "coefficient13": 0, "coefficient14": 0, "coefficient15": 0, "coefficient2": 0, "coefficient3": 0, "coefficient4": 0, "coefficient5": 0, "coefficient6": 0, "coefficient7": 0, "coefficient8": 0, "coefficient9": 0, "createdAt": "2019-08-24T14:15:22Z", "description": "string", "groupId": 0, "hideOnTouchScreen": true, "id": 0, "lastModify": "2019-08-24T14:15:22Z", "posCreditPaymentForbidden": true, "recyclingFeeId": 0, "subGroupCode": "string", "subGroupName": "string", "subGroupNameForEshop": "string", "userId": 0}GET
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
id*integerFormat
int32application/json- response
baseVatRateId?|Format
int32coefficient1?|Format
decimalcoefficient10?|Format
decimalcoefficient11?|Format
decimalcoefficient12?|Format
decimalcoefficient13?|Format
decimalcoefficient14?|Format
decimalcoefficient15?|Format
decimalcoefficient2?|Format
decimalcoefficient3?|Format
decimalcoefficient4?|Format
decimalcoefficient5?|Format
decimalcoefficient6?|Format
decimalcoefficient7?|Format
decimalcoefficient8?|Format
decimalcoefficient9?|Format
decimalcreatedAt?|Format
date-timedescription?|Length
length <= 40groupId?|Format
int32hideOnTouchScreen?boolean|nullid?|Format
int32lastModify?|Format
date-timeposCreditPaymentForbidden?boolean|nullrecyclingFeeId?|Format
int32subGroupCode?|Length
length <= 10subGroupName?|Length
length <= 80subGroupNameForEshop?|Length
length <= 120userId?|Format
int32curl -X GET 'https://<your-instance>/api/item-lists/sub-groups/0' \ -H 'Authorization: Bearer <access-token>'{ "baseVatRateId": 0, "coefficient1": 0, "coefficient10": 0, "coefficient11": 0, "coefficient12": 0, "coefficient13": 0, "coefficient14": 0, "coefficient15": 0, "coefficient2": 0, "coefficient3": 0, "coefficient4": 0, "coefficient5": 0, "coefficient6": 0, "coefficient7": 0, "coefficient8": 0, "coefficient9": 0, "createdAt": "2019-08-24T14:15:22Z", "description": "string", "groupId": 0, "hideOnTouchScreen": true, "id": 0, "lastModify": "2019-08-24T14:15:22Z", "posCreditPaymentForbidden": true, "recyclingFeeId": 0, "subGroupCode": "string", "subGroupName": "string", "subGroupNameForEshop": "string", "userId": 0}PATCH
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
id*integerFormat
int32application/json- body
baseVatRateId?|Format
int32coefficient1?|Format
decimalcoefficient10?|Format
decimalcoefficient11?|Format
decimalcoefficient12?|Format
decimalcoefficient13?|Format
decimalcoefficient14?|Format
decimalcoefficient15?|Format
decimalcoefficient2?|Format
decimalcoefficient3?|Format
decimalcoefficient4?|Format
decimalcoefficient5?|Format
decimalcoefficient6?|Format
decimalcoefficient7?|Format
decimalcoefficient8?|Format
decimalcoefficient9?|Format
decimalcreatedAt?|Format
date-timedescription?|Length
length <= 40groupId?|Format
int32hideOnTouchScreen?boolean|nullid?|Format
int32lastModify?|Format
date-timeposCreditPaymentForbidden?boolean|nullrecyclingFeeId?|Format
int32subGroupCode?|Length
length <= 10subGroupName?|Length
length <= 80subGroupNameForEshop?|Length
length <= 120userId?|Format
int32application/json- response
baseVatRateId?|Format
int32coefficient1?|Format
decimalcoefficient10?|Format
decimalcoefficient11?|Format
decimalcoefficient12?|Format
decimalcoefficient13?|Format
decimalcoefficient14?|Format
decimalcoefficient15?|Format
decimalcoefficient2?|Format
decimalcoefficient3?|Format
decimalcoefficient4?|Format
decimalcoefficient5?|Format
decimalcoefficient6?|Format
decimalcoefficient7?|Format
decimalcoefficient8?|Format
decimalcoefficient9?|Format
decimalcreatedAt?|Format
date-timedescription?|Length
length <= 40groupId?|Format
int32hideOnTouchScreen?boolean|nullid?|Format
int32lastModify?|Format
date-timeposCreditPaymentForbidden?boolean|nullrecyclingFeeId?|Format
int32subGroupCode?|Length
length <= 10subGroupName?|Length
length <= 80subGroupNameForEshop?|Length
length <= 120userId?|Format
int32curl -X PATCH 'https://<your-instance>/api/item-lists/sub-groups/0' \ -H 'Authorization: Bearer <access-token>' \ -H 'Content-Type: application/json' \ -d '{}'{ "baseVatRateId": 0, "coefficient1": 0, "coefficient10": 0, "coefficient11": 0, "coefficient12": 0, "coefficient13": 0, "coefficient14": 0, "coefficient15": 0, "coefficient2": 0, "coefficient3": 0, "coefficient4": 0, "coefficient5": 0, "coefficient6": 0, "coefficient7": 0, "coefficient8": 0, "coefficient9": 0, "createdAt": "2019-08-24T14:15:22Z", "description": "string", "groupId": 0, "hideOnTouchScreen": true, "id": 0, "lastModify": "2019-08-24T14:15:22Z", "posCreditPaymentForbidden": true, "recyclingFeeId": 0, "subGroupCode": "string", "subGroupName": "string", "subGroupNameForEshop": "string", "userId": 0}DELETE
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
id*integerFormat
int32curl -X DELETE 'https://<your-instance>/api/item-lists/sub-groups/0' \ -H 'Authorization: Bearer <access-token>'Empty